"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createOffscreenCanvas: true
};
exports.createOffscreenCanvas = void 0;

var _util = require("../_util");

var _createCanvasContext = require("./createCanvasContext");

Object.keys(_createCanvasContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _createCanvasContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _createCanvasContext[key];
    }
  });
});

var _canvasToTempFilePath = require("./canvasToTempFilePath");

Object.keys(_canvasToTempFilePath).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _canvasToTempFilePath[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _canvasToTempFilePath[key];
    }
  });
});

var _canvasPutImageData = require("./canvasPutImageData");

Object.keys(_canvasPutImageData).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _canvasPutImageData[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _canvasPutImageData[key];
    }
  });
});

var _canvasGetImageData = require("./canvasGetImageData");

Object.keys(_canvasGetImageData).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _canvasGetImageData[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _canvasGetImageData[key];
    }
  });
});

// 画布

/**
 * 创建离屏 canvas 实例
 */
var createOffscreenCanvas = _util.unsupported.never('createOffscreenCanvas');
/** 创建 canvas 的绘图上下文 CanvasContext 对象 */


exports.createOffscreenCanvas = createOffscreenCanvas;