"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ENV_TYPE", {
  enumerable: true,
  get: function get() {
    return _framework.ENV_TYPE;
  }
});
Object.defineProperty(exports, "TaroPage", {
  enumerable: true,
  get: function get() {
    return _internal.TaroPage;
  }
});
Object.defineProperty(exports, "canvasGetImageData", {
  enumerable: true,
  get: function get() {
    return _canvas.canvasGetImageData;
  }
});
Object.defineProperty(exports, "canvasPutImageData", {
  enumerable: true,
  get: function get() {
    return _canvas.canvasPutImageData;
  }
});
Object.defineProperty(exports, "canvasToTempFilePath", {
  enumerable: true,
  get: function get() {
    return _canvas.canvasToTempFilePath;
  }
});
Object.defineProperty(exports, "chooseImage", {
  enumerable: true,
  get: function get() {
    return _media.chooseImage;
  }
});
Object.defineProperty(exports, "chooseVideo", {
  enumerable: true,
  get: function get() {
    return _media.chooseVideo;
  }
});
Object.defineProperty(exports, "clearStorage", {
  enumerable: true,
  get: function get() {
    return _dataCache.clearStorage;
  }
});
Object.defineProperty(exports, "clearStorageSync", {
  enumerable: true,
  get: function get() {
    return _dataCache.clearStorageSync;
  }
});
Object.defineProperty(exports, "compressImage", {
  enumerable: true,
  get: function get() {
    return _media.compressImage;
  }
});
Object.defineProperty(exports, "createBufferURL", {
  enumerable: true,
  get: function get() {
    return _dataCache.createBufferURL;
  }
});
Object.defineProperty(exports, "createCanvasContext", {
  enumerable: true,
  get: function get() {
    return _canvas.createCanvasContext;
  }
});
Object.defineProperty(exports, "createIntersectionObserver", {
  enumerable: true,
  get: function get() {
    return _dom.createIntersectionObserver;
  }
});
Object.defineProperty(exports, "createOffscreenCanvas", {
  enumerable: true,
  get: function get() {
    return _canvas.createOffscreenCanvas;
  }
});
Object.defineProperty(exports, "createSelectorQuery", {
  enumerable: true,
  get: function get() {
    return _dom.createSelectorQuery;
  }
});
Object.defineProperty(exports, "createVideoContext", {
  enumerable: true,
  get: function get() {
    return _media.createVideoContext;
  }
});
exports.default = void 0;
Object.defineProperty(exports, "getAppAuthorizeSetting", {
  enumerable: true,
  get: function get() {
    return _basics.getAppAuthorizeSetting;
  }
});
Object.defineProperty(exports, "getAppBaseInfo", {
  enumerable: true,
  get: function get() {
    return _basics.getAppBaseInfo;
  }
});
Object.defineProperty(exports, "getBatteryInfo", {
  enumerable: true,
  get: function get() {
    return _device.getBatteryInfo;
  }
});
Object.defineProperty(exports, "getBatteryInfoSync", {
  enumerable: true,
  get: function get() {
    return _device.getBatteryInfoSync;
  }
});
Object.defineProperty(exports, "getClipboardData", {
  enumerable: true,
  get: function get() {
    return _device.getClipboardData;
  }
});
Object.defineProperty(exports, "getCurrentInstance", {
  enumerable: true,
  get: function get() {
    return _framework.getCurrentInstance;
  }
});
Object.defineProperty(exports, "getCurrentPages", {
  enumerable: true,
  get: function get() {
    return _framework.getCurrentPages;
  }
});
Object.defineProperty(exports, "getDeviceInfo", {
  enumerable: true,
  get: function get() {
    return _basics.getDeviceInfo;
  }
});
Object.defineProperty(exports, "getEnv", {
  enumerable: true,
  get: function get() {
    return _framework.getEnv;
  }
});
Object.defineProperty(exports, "getImageInfo", {
  enumerable: true,
  get: function get() {
    return _media.getImageInfo;
  }
});
Object.defineProperty(exports, "getLocalIPAddress", {
  enumerable: true,
  get: function get() {
    return _device.getLocalIPAddress;
  }
});
Object.defineProperty(exports, "getLocation", {
  enumerable: true,
  get: function get() {
    return _location.getLocation;
  }
});
Object.defineProperty(exports, "getLogManager", {
  enumerable: true,
  get: function get() {
    return _basics.getLogManager;
  }
});
Object.defineProperty(exports, "getMenuButtonBoundingClientRect", {
  enumerable: true,
  get: function get() {
    return _ui.getMenuButtonBoundingClientRect;
  }
});
Object.defineProperty(exports, "getNetworkType", {
  enumerable: true,
  get: function get() {
    return _device.getNetworkType;
  }
});
Object.defineProperty(exports, "getRealtimeLogManager", {
  enumerable: true,
  get: function get() {
    return _basics.getRealtimeLogManager;
  }
});
Object.defineProperty(exports, "getStorage", {
  enumerable: true,
  get: function get() {
    return _dataCache.getStorage;
  }
});
Object.defineProperty(exports, "getStorageInfo", {
  enumerable: true,
  get: function get() {
    return _dataCache.getStorageInfo;
  }
});
Object.defineProperty(exports, "getStorageInfoSync", {
  enumerable: true,
  get: function get() {
    return _dataCache.getStorageInfoSync;
  }
});
Object.defineProperty(exports, "getStorageSync", {
  enumerable: true,
  get: function get() {
    return _dataCache.getStorageSync;
  }
});
Object.defineProperty(exports, "getSystemInfo", {
  enumerable: true,
  get: function get() {
    return _basics.getSystemInfo;
  }
});
Object.defineProperty(exports, "getSystemInfoAsync", {
  enumerable: true,
  get: function get() {
    return _basics.getSystemInfoAsync;
  }
});
Object.defineProperty(exports, "getSystemInfoSync", {
  enumerable: true,
  get: function get() {
    return _basics.getSystemInfoSync;
  }
});
Object.defineProperty(exports, "getSystemSetting", {
  enumerable: true,
  get: function get() {
    return _basics.getSystemSetting;
  }
});
Object.defineProperty(exports, "getWindowInfo", {
  enumerable: true,
  get: function get() {
    return _basics.getWindowInfo;
  }
});
Object.defineProperty(exports, "hideLoading", {
  enumerable: true,
  get: function get() {
    return _ui.hideLoading;
  }
});
Object.defineProperty(exports, "hideNavigationBarLoading", {
  enumerable: true,
  get: function get() {
    return _ui.hideNavigationBarLoading;
  }
});
Object.defineProperty(exports, "hideToast", {
  enumerable: true,
  get: function get() {
    return _ui.hideToast;
  }
});
Object.defineProperty(exports, "initPxTransform", {
  enumerable: true,
  get: function get() {
    return _framework.initPxTransform;
  }
});
Object.defineProperty(exports, "initTaroApp", {
  enumerable: true,
  get: function get() {
    return _internal.initTaroApp;
  }
});
Object.defineProperty(exports, "makePhoneCall", {
  enumerable: true,
  get: function get() {
    return _device.makePhoneCall;
  }
});
Object.defineProperty(exports, "navigateBack", {
  enumerable: true,
  get: function get() {
    return _router.navigateBack;
  }
});
Object.defineProperty(exports, "navigateTo", {
  enumerable: true,
  get: function get() {
    return _router.navigateTo;
  }
});
Object.defineProperty(exports, "nextTick", {
  enumerable: true,
  get: function get() {
    return _framework.nextTick;
  }
});
Object.defineProperty(exports, "offAccelerometerChange", {
  enumerable: true,
  get: function get() {
    return _device.offAccelerometerChange;
  }
});
Object.defineProperty(exports, "offCompassChange", {
  enumerable: true,
  get: function get() {
    return _device.offCompassChange;
  }
});
Object.defineProperty(exports, "offDeviceMotionChange", {
  enumerable: true,
  get: function get() {
    return _device.offDeviceMotionChange;
  }
});
Object.defineProperty(exports, "offNetworkStatusChange", {
  enumerable: true,
  get: function get() {
    return _device.offNetworkStatusChange;
  }
});
Object.defineProperty(exports, "offNetworkWeakChange", {
  enumerable: true,
  get: function get() {
    return _device.offNetworkWeakChange;
  }
});
Object.defineProperty(exports, "onAccelerometerChange", {
  enumerable: true,
  get: function get() {
    return _device.onAccelerometerChange;
  }
});
Object.defineProperty(exports, "onCompassChange", {
  enumerable: true,
  get: function get() {
    return _device.onCompassChange;
  }
});
Object.defineProperty(exports, "onDeviceMotionChange", {
  enumerable: true,
  get: function get() {
    return _device.onDeviceMotionChange;
  }
});
Object.defineProperty(exports, "onNetworkStatusChange", {
  enumerable: true,
  get: function get() {
    return _device.onNetworkStatusChange;
  }
});
Object.defineProperty(exports, "onNetworkWeakChange", {
  enumerable: true,
  get: function get() {
    return _device.onNetworkWeakChange;
  }
});
Object.defineProperty(exports, "pageScrollTo", {
  enumerable: true,
  get: function get() {
    return _ui.pageScrollTo;
  }
});
Object.defineProperty(exports, "previewImage", {
  enumerable: true,
  get: function get() {
    return _media.previewImage;
  }
});
Object.defineProperty(exports, "pxTransform", {
  enumerable: true,
  get: function get() {
    return _framework.pxTransform;
  }
});
Object.defineProperty(exports, "reLaunch", {
  enumerable: true,
  get: function get() {
    return _router.reLaunch;
  }
});
Object.defineProperty(exports, "redirectTo", {
  enumerable: true,
  get: function get() {
    return _router.redirectTo;
  }
});
Object.defineProperty(exports, "registerModalComponent", {
  enumerable: true,
  get: function get() {
    return _ui.registerModalComponent;
  }
});
Object.defineProperty(exports, "registerPreviewComponent", {
  enumerable: true,
  get: function get() {
    return _media.registerPreviewComponent;
  }
});
Object.defineProperty(exports, "registerToastComponent", {
  enumerable: true,
  get: function get() {
    return _ui.registerToastComponent;
  }
});
Object.defineProperty(exports, "removeStorage", {
  enumerable: true,
  get: function get() {
    return _dataCache.removeStorage;
  }
});
Object.defineProperty(exports, "removeStorageSync", {
  enumerable: true,
  get: function get() {
    return _dataCache.removeStorageSync;
  }
});
Object.defineProperty(exports, "request", {
  enumerable: true,
  get: function get() {
    return _network.request;
  }
});
Object.defineProperty(exports, "revokeBufferURL", {
  enumerable: true,
  get: function get() {
    return _dataCache.revokeBufferURL;
  }
});
Object.defineProperty(exports, "saveImageToPhotosAlbum", {
  enumerable: true,
  get: function get() {
    return _media.saveImageToPhotosAlbum;
  }
});
Object.defineProperty(exports, "setBackgroundColor", {
  enumerable: true,
  get: function get() {
    return _ui.setBackgroundColor;
  }
});
Object.defineProperty(exports, "setBackgroundTextStyle", {
  enumerable: true,
  get: function get() {
    return _ui.setBackgroundTextStyle;
  }
});
Object.defineProperty(exports, "setClipboardData", {
  enumerable: true,
  get: function get() {
    return _device.setClipboardData;
  }
});
Object.defineProperty(exports, "setEnableDebug", {
  enumerable: true,
  get: function get() {
    return _basics.setEnableDebug;
  }
});
Object.defineProperty(exports, "setNavigationBarColor", {
  enumerable: true,
  get: function get() {
    return _ui.setNavigationBarColor;
  }
});
Object.defineProperty(exports, "setNavigationBarTitle", {
  enumerable: true,
  get: function get() {
    return _ui.setNavigationBarTitle;
  }
});
Object.defineProperty(exports, "setStorage", {
  enumerable: true,
  get: function get() {
    return _dataCache.setStorage;
  }
});
Object.defineProperty(exports, "setStorageSync", {
  enumerable: true,
  get: function get() {
    return _dataCache.setStorageSync;
  }
});
Object.defineProperty(exports, "showLoading", {
  enumerable: true,
  get: function get() {
    return _ui.showLoading;
  }
});
Object.defineProperty(exports, "showModal", {
  enumerable: true,
  get: function get() {
    return _ui.showModal;
  }
});
Object.defineProperty(exports, "showNavigationBarLoading", {
  enumerable: true,
  get: function get() {
    return _ui.showNavigationBarLoading;
  }
});
Object.defineProperty(exports, "showToast", {
  enumerable: true,
  get: function get() {
    return _ui.showToast;
  }
});
Object.defineProperty(exports, "startAccelerometer", {
  enumerable: true,
  get: function get() {
    return _device.startAccelerometer;
  }
});
Object.defineProperty(exports, "startCompass", {
  enumerable: true,
  get: function get() {
    return _device.startCompass;
  }
});
Object.defineProperty(exports, "startDeviceMotionListening", {
  enumerable: true,
  get: function get() {
    return _device.startDeviceMotionListening;
  }
});
Object.defineProperty(exports, "stopAccelerometer", {
  enumerable: true,
  get: function get() {
    return _device.stopAccelerometer;
  }
});
Object.defineProperty(exports, "stopCompass", {
  enumerable: true,
  get: function get() {
    return _device.stopCompass;
  }
});
Object.defineProperty(exports, "stopDeviceMotionListening", {
  enumerable: true,
  get: function get() {
    return _device.stopDeviceMotionListening;
  }
});
Object.defineProperty(exports, "switchTab", {
  enumerable: true,
  get: function get() {
    return _router.switchTab;
  }
});
Object.defineProperty(exports, "uploadFile", {
  enumerable: true,
  get: function get() {
    return _upload.uploadFile;
  }
});
Object.defineProperty(exports, "useDidHide", {
  enumerable: true,
  get: function get() {
    return _hooks.useDidHide;
  }
});
Object.defineProperty(exports, "useDidShow", {
  enumerable: true,
  get: function get() {
    return _hooks.useDidShow;
  }
});
Object.defineProperty(exports, "usePageScroll", {
  enumerable: true,
  get: function get() {
    return _hooks.usePageScroll;
  }
});
Object.defineProperty(exports, "useReachBottom", {
  enumerable: true,
  get: function get() {
    return _hooks.useReachBottom;
  }
});
Object.defineProperty(exports, "useReady", {
  enumerable: true,
  get: function get() {
    return _hooks.useReady;
  }
});
Object.defineProperty(exports, "useResize", {
  enumerable: true,
  get: function get() {
    return _hooks.useResize;
  }
});
Object.defineProperty(exports, "useRouter", {
  enumerable: true,
  get: function get() {
    return _hooks.useRouter;
  }
});
Object.defineProperty(exports, "useShareAppMessage", {
  enumerable: true,
  get: function get() {
    return _hooks.useShareAppMessage;
  }
});
Object.defineProperty(exports, "useShareTimeline", {
  enumerable: true,
  get: function get() {
    return _hooks.useShareTimeline;
  }
});
Object.defineProperty(exports, "vibrateLong", {
  enumerable: true,
  get: function get() {
    return _device.vibrateLong;
  }
});
Object.defineProperty(exports, "vibrateShort", {
  enumerable: true,
  get: function get() {
    return _device.vibrateShort;
  }
});

var _basics = require("./basics");

var _canvas = require("./canvas");

var _device = require("./device");

var _dom = require("./dom");

var _dataCache = require("./dataCache");

var _network = require("./network");

var _ui = require("./ui");

var _router = require("./router");

var _hooks = require("./hooks");

var _framework = require("./framework");

var _media = require("./media");

var _upload = require("./network/upload");

var _location = require("./location");

var _internal = require("./internal");

var _default = {
  setEnableDebug: _basics.setEnableDebug,
  getRealtimeLogManager: _basics.getRealtimeLogManager,
  getLogManager: _basics.getLogManager,
  getWindowInfo: _basics.getWindowInfo,
  getSystemSetting: _basics.getSystemSetting,
  getDeviceInfo: _basics.getDeviceInfo,
  getAppBaseInfo: _basics.getAppBaseInfo,
  getAppAuthorizeSetting: _basics.getAppAuthorizeSetting,
  getSystemInfoSync: _basics.getSystemInfoSync,
  getSystemInfoAsync: _basics.getSystemInfoAsync,
  getSystemInfo: _basics.getSystemInfo,
  createOffscreenCanvas: _canvas.createOffscreenCanvas,
  createCanvasContext: _canvas.createCanvasContext,
  canvasToTempFilePath: _canvas.canvasToTempFilePath,
  canvasPutImageData: _canvas.canvasPutImageData,
  canvasGetImageData: _canvas.canvasGetImageData,
  stopAccelerometer: _device.stopAccelerometer,
  startAccelerometer: _device.startAccelerometer,
  onAccelerometerChange: _device.onAccelerometerChange,
  offAccelerometerChange: _device.offAccelerometerChange,
  getBatteryInfoSync: _device.getBatteryInfoSync,
  getBatteryInfo: _device.getBatteryInfo,
  setClipboardData: _device.setClipboardData,
  getClipboardData: _device.getClipboardData,
  stopCompass: _device.stopCompass,
  startCompass: _device.startCompass,
  onCompassChange: _device.onCompassChange,
  offCompassChange: _device.offCompassChange,
  stopDeviceMotionListening: _device.stopDeviceMotionListening,
  startDeviceMotionListening: _device.startDeviceMotionListening,
  onDeviceMotionChange: _device.onDeviceMotionChange,
  offDeviceMotionChange: _device.offDeviceMotionChange,
  makePhoneCall: _device.makePhoneCall,
  vibrateShort: _device.vibrateShort,
  vibrateLong: _device.vibrateLong,
  getNetworkType: _device.getNetworkType,
  onNetworkWeakChange: _device.onNetworkWeakChange,
  onNetworkStatusChange: _device.onNetworkStatusChange,
  offNetworkWeakChange: _device.offNetworkWeakChange,
  offNetworkStatusChange: _device.offNetworkStatusChange,
  getLocalIPAddress: _device.getLocalIPAddress,
  createSelectorQuery: _dom.createSelectorQuery,
  createIntersectionObserver: _dom.createIntersectionObserver,
  setStorageSync: _dataCache.setStorageSync,
  setStorage: _dataCache.setStorage,
  revokeBufferURL: _dataCache.revokeBufferURL,
  removeStorageSync: _dataCache.removeStorageSync,
  removeStorage: _dataCache.removeStorage,
  getStorageSync: _dataCache.getStorageSync,
  getStorageInfoSync: _dataCache.getStorageInfoSync,
  getStorageInfo: _dataCache.getStorageInfo,
  getStorage: _dataCache.getStorage,
  createBufferURL: _dataCache.createBufferURL,
  clearStorageSync: _dataCache.clearStorageSync,
  clearStorage: _dataCache.clearStorage,
  registerToastComponent: _ui.registerToastComponent,
  registerModalComponent: _ui.registerModalComponent,
  showToast: _ui.showToast,
  hideToast: _ui.hideToast,
  showLoading: _ui.showLoading,
  hideLoading: _ui.hideLoading,
  showModal: _ui.showModal,
  setNavigationBarColor: _ui.setNavigationBarColor,
  showNavigationBarLoading: _ui.showNavigationBarLoading,
  hideNavigationBarLoading: _ui.hideNavigationBarLoading,
  setNavigationBarTitle: _ui.setNavigationBarTitle,
  pageScrollTo: _ui.pageScrollTo,
  setBackgroundColor: _ui.setBackgroundColor,
  setBackgroundTextStyle: _ui.setBackgroundTextStyle,
  useDidShow: _hooks.useDidShow,
  useDidHide: _hooks.useDidHide,
  useReachBottom: _hooks.useReachBottom,
  useResize: _hooks.useResize,
  useReady: _hooks.useReady,
  useRouter: _hooks.useRouter,
  usePageScroll: _hooks.usePageScroll,
  useShareAppMessage: _hooks.useShareAppMessage,
  useShareTimeline: _hooks.useShareTimeline,
  switchTab: _router.switchTab,
  reLaunch: _router.reLaunch,
  redirectTo: _router.redirectTo,
  navigateTo: _router.navigateTo,
  navigateBack: _router.navigateBack,
  request: _network.request,
  getCurrentInstance: _framework.getCurrentInstance,
  getCurrentPages: _framework.getCurrentPages,
  getEnv: _framework.getEnv,
  ENV_TYPE: _framework.ENV_TYPE,
  initPxTransform: _framework.initPxTransform,
  pxTransform: _framework.pxTransform,
  nextTick: _framework.nextTick,
  chooseImage: _media.chooseImage,
  registerPreviewComponent: _media.registerPreviewComponent,
  previewImage: _media.previewImage,
  getImageInfo: _media.getImageInfo,
  saveImageToPhotosAlbum: _media.saveImageToPhotosAlbum,
  compressImage: _media.compressImage,
  createVideoContext: _media.createVideoContext,
  chooseVideo: _media.chooseVideo,
  uploadFile: _upload.uploadFile,
  getLocation: _location.getLocation,
  getMenuButtonBoundingClientRect: _ui.getMenuButtonBoundingClientRect,
  initTaroApp: _internal.initTaroApp,
  TaroPage: _internal.TaroPage
};
exports.default = _default;