"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setBackgroundTextStyle = exports.setBackgroundColor = void 0;

var _mpromisify = _interopRequireDefault(require("mpromisify"));

var _util = require("../_util");

var setBackgroundColorInternal = function setBackgroundColorInternal(_ref) {
  var _ref$backgroundColor = _ref.backgroundColor,
      backgroundColor = _ref$backgroundColor === void 0 ? '' : _ref$backgroundColor,
      success = _ref.success,
      complete = _ref.complete;
  document.documentElement.style.backgroundColor = backgroundColor;
  success === null || success === void 0 ? void 0 : success();
  complete === null || complete === void 0 ? void 0 : complete();
};

var setBackgroundColor = (0, _mpromisify.default)(_util.limited._void('setBackgroundColor', setBackgroundColorInternal));
exports.setBackgroundColor = setBackgroundColor;

var setBackgroundTextStyle = _util.unsupported._void('setBackgroundColor');

exports.setBackgroundTextStyle = setBackgroundTextStyle;