"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withRouter = withRouter;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));

var _react = require("react");

var _router = require("next/router");

var _jsxRuntime = require("react/jsx-runtime");

function withRouter(ComposedComponent) {
  var WithRouterWrapper = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
    var router = (0, _router.useRouter)();
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(ComposedComponent, (0, _objectSpread2.default)({
      ref: ref,
      router: router
    }, props));
  });

  if (process.env.NODE_ENV !== 'production') {
    var name = ComposedComponent.displayName || ComposedComponent.name || 'Unknown';
    WithRouterWrapper.displayName = "withRouter(".concat(name, ")");
  }

  return WithRouterWrapper;
}