"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CallbackManager = void 0;

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var CallbackManager = /*#__PURE__*/(0, _createClass2.default)(function CallbackManager() {
  var _this = this;

  (0, _classCallCheck2.default)(this, CallbackManager);
  (0, _defineProperty2.default)(this, "callbacks", []);
  (0, _defineProperty2.default)(this, "add", function (opt) {
    if (opt) _this.callbacks.push(opt);
  });
  (0, _defineProperty2.default)(this, "remove", function (opt) {
    if (opt) {
      var pos = -1;

      _this.callbacks.forEach(function (callback, k) {
        if (callback === opt) {
          pos = k;
        }
      });

      if (pos > -1) {
        _this.callbacks.splice(pos, 1);
      }
    }
  });
  (0, _defineProperty2.default)(this, "count", function () {
    return _this.callbacks.length;
  });
  (0, _defineProperty2.default)(this, "trigger", function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this.callbacks.forEach(function (opt) {
      if (typeof opt === 'function') {
        opt.apply(void 0, args);
      } else {
        var callback = opt.callback,
            ctx = opt.ctx;
        typeof callback === 'function' && callback.call.apply(callback, [ctx].concat(args));
      }
    });
  });
});
exports.CallbackManager = CallbackManager;