"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makePhoneCall = void 0;

var _mpromisify = _interopRequireDefault(require("mpromisify"));

var _util = require("../_util");

var makePhoneCallInternal = function makePhoneCallInternal(_ref) {
  var phoneNumber = _ref.phoneNumber,
      success = _ref.success,
      complete = _ref.complete;
  location.href = "tel:".concat(phoneNumber);
  success === null || success === void 0 ? void 0 : success();
  complete === null || complete === void 0 ? void 0 : complete();
};

var makePhoneCall = (0, _mpromisify.default)(_util.limited.async('makePhoneCall', makePhoneCallInternal));
exports.makePhoneCall = makePhoneCall;