"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSelectorQuery = exports.createIntersectionObserver = void 0;

var _util = require("../_util");

var _selectorQuery = require("./selectorQuery");

var createSelectorQueryInternal = function createSelectorQueryInternal() {
  return new _selectorQuery.SelectorQuery();
};
/**
 * 返回一个 SelectorQuery 对象实例
 */


var createSelectorQuery = _util.limited.never('createSelectorQuery', createSelectorQueryInternal);
/**
 * 创建并返回一个 IntersectionObserver 对象实例。
 */


exports.createSelectorQuery = createSelectorQuery;

var createIntersectionObserver = _util.unsupported.never('createIntersectionObserver');

exports.createIntersectionObserver = createIntersectionObserver;