"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMenuButtonBoundingClientRect = void 0;

var _util = require("../_util");

function getMenuButtonBoundingClientRectInternal() {
  var android = (0, _util.isAndroid)();
  return {
    height: android ? 28 : 32,
    width: 0,
    top: android ? 5 : 6,
    bottom: android ? 33 : 38,
    left: window.screen.width - 10,
    right: window.screen.width - 10
  };
}

var getMenuButtonBoundingClientRect = _util.limited.never('getMenuButtonBoundingClientRect', getMenuButtonBoundingClientRectInternal);

exports.getMenuButtonBoundingClientRect = getMenuButtonBoundingClientRect;